import React from 'react';
import { IconMoreVert } from '@defencedigital/icon-library';
import { Sheet } from '../Sheet/Sheet';
import { StyledSheetList } from './partials/StyledSheetList';
import { StyledSubNavSheetButton } from './partials/StyledSubNavSheetButton';
export var SidebarSubNav = function SidebarSubNav(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/React.createElement(Sheet, {
    button: /*#__PURE__*/React.createElement(StyledSubNavSheetButton, {
      "aria-label": "Expand sub-menu",
      icon: /*#__PURE__*/React.createElement(IconMoreVert, null)
    }),
    placement: "right",
    closeDelay: 0
  }, /*#__PURE__*/React.createElement(StyledSheetList, null, children));
};
SidebarSubNav.displayName = 'SidebarSubNav';